import request from '@/utils/request'

// 查询母排测温信息列表
export function listRecordBusbarTemp(query) {
  return request({
    url: '/record/recordBusbarTemp/list',
    method: 'get',
    params: query
  })
}

// 查询母排测温信息详细
export function getRecordBusbarTemp(objId) {
  return request({
    url: '/record/recordBusbarTemp/' + objId,
    method: 'get'
  })
}

// 新增母排测温信息
export function addRecordBusbarTemp(data) {
  return request({
    url: '/record/recordBusbarTemp',
    method: 'post',
    data: data
  })
}

// 修改母排测温信息
export function updateRecordBusbarTemp(data) {
  return request({
    url: '/record/recordBusbarTemp',
    method: 'put',
    data: data
  })
}

// 删除母排测温信息
export function delRecordBusbarTemp(objId) {
  return request({
    url: '/record/recordBusbarTemp/' + objId,
    method: 'delete'
  })
}

// 查询母排测温可见光图片
export function getVisiblePhoto(filePath) {
  return request({
    url: '/record/recordBusbarTemp/getVisiblePhoto/' + filePath,
    method: 'get'
  })
}
// 查询母排测温热成像图片
export function getThermalPhoto(filePath) {
  return request({
    url: '/record/recordBusbarTemp/getThermalPhoto/' + filePath,
    method: 'get'
  })
}
